Products
Remove Delivery File
Remove the attached distributable file from a product
DELETE
/
api
/
v1
/
products
/
{productId}
/
delivery
Remove Delivery File
curl --request DELETE \
--url https://api.sequenzy.com/api/v1/products/{productId}/delivery \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/products/{productId}/delivery"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/products/{productId}/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"product": {
"id": "prod_internal_1",
"title": "The Indie Hacker Guide",
"digitalDelivery": null
}
}
{
"success": false,
"error": "Invalid or missing API key"
}
{
"success": false,
"error": "Product not found"
}
Remove the attached distributable file from a product. Future purchases of this product will no longer include
download properties on the purchase event.
Request
Product ID (from List Products). For products
pushed via the Commerce API, you can also use your own productId (e.g.
my-ebook).curl -X DELETE "https://api.sequenzy.com/api/v1/products/prod_internal_1/delivery" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"product": {
"id": "prod_internal_1",
"title": "The Indie Hacker Guide",
"digitalDelivery": null
}
}
{
"success": false,
"error": "Invalid or missing API key"
}
{
"success": false,
"error": "Product not found"
}
⌘I
Remove Delivery File
